parameters:
    # required to be used in liip_imagine loaders (can't use a combination const and parameter there)
    twig.image_asset.cache_dir_suffix: !php/const C33s\Bundle\UtilsBundle\Twig\ImageAssetExtension::DEFAULT_CACHE_DIR_SUFFIX

services:
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.
        public: false       # Allows optimizing the container by removing unused services; this also means
                            # fetching services directly from the container via $container->get() won't work.
                            # The best practice is to be explicit about your dependencies anyway.
        bind:
            string $cacheDir: '%kernel.cache_dir%'
            string $locale: '%locale%'
            string $imageAssetCacheDirSuffix: "%twig.image_asset.cache_dir_suffix%"

    Cocur\Slugify\Slugify: ~
    Cocur\Slugify\SlugifyInterface: '@Cocur\Slugify\Slugify'
    Symfony\Bridge\Twig\Extension\AssetExtension: '@twig.extension.assets'
    C33s\Bundle\UtilsBundle\Twig\:
        resource: '../../Twig/*'
        tags:
            - { name: twig.extension }
    C33s\Bundle\UtilsBundle\Helper\:
        resource: '../../Helper/*'

    C33s\Bundle\UtilsBundle\Cache\:
        resource: '../../Cache/*'

#    c33s_utils.:
#        class: C33s\Bundle\UtilsBundle\
#        tags:
#            - {name: form.type_extension, alias: form, extended_type: Symfony\Component\Form\Extension\Core\Type\FormType}

